GPHELP(1)

NAME
gphelp - GP-PARI online help script

SYNOPSIS
gphelp [-to_pod file] [-raw] [-detex] [-k] [-ch c1] [-cb c2] [-cu c3] [keyword [ @{1,2,3,4,5} ]] [tutorial] [refcard]...

DESCRIPTION
Invokes the PARI-GP online help script. By default, keyword is understood as a section heading (a GP function name), and gphelp looks for it in Chapter 3 of PARI User's Manual. If it is found, the corresponding section is copied to a temporary file in /tmp (or $GPTMPDIR), TeX is run then the corresponding section is displayed in a separate window, using xdvi (or $GPXDVI). If more than one keyword is given on a single command line, the outputs are concatenated. If keyword is omitted, open the whole manual users.dvi. The keywords tutorial and refcard open the GP tutorial and reference card respectively. GP defaults, help sections (1 to 11) as well as some keywords (readline, bnf, ell, all operators...) are recognized and treated in a special way to make sure they match a section heading. For instance && is translated to Comparison and boolean operators which isn't that obvious to guess. Make sure to enclose keyword between quotes if it contains dangerous characters (e.g spaces). For instance, you need to type
    gphelp -k "elliptic curves"
and not
    gphelp -k elliptic curves
which would look for "elliptic" then for "curves" and output e.g. ploth among the relevant sections.

FULL SEARCH: @ MARKERS
The pattern @x (where x is a chapter number between 1 and 5) at the end of keyword conducts the search in the corresponding chapter instead of the default Chapter 3. If the number is omitted, search the whole manual. For instance
    gphelp -k gerepile@4
will look for gerepile in Chapter 4 of users manual.
    gphelp -k gerepile@
will search the whole manual. All chapters of the manual (usersch[1-5].tex) are assumed to be in $GPDOCDIR (defaultvaluesetby Configure). You are allowed to gzip (or compress) them, this won't affect the search.

OPTIONS
The following command line options are available:

-cb, -color_bold c2
    color used for bold. See -color_help.

-ch, -color_help c1
    color (between 1 and 16) used for general printing. Only significant in detex mode.

-cu, -color_underline c3
    color used for underline. See -color_help.

-detex
    Use detex mode. The TeX file is converted to readable screen output that is directly written to the terminal; don't use tex or xdvi.

-k  Switch to apropos mode. Only write to standard output the list of section headings in manual which contain keyword. You can then choose an element in the list and use it as argument for gphelp (surround it by quotes if it includes spaces), possibly followed by a trailing @ marker (see above).

-raw
    use internal format for output (using @x markers). For debugging only.

-to_pod file
    try to convert file from TeX to POD format. Will only work on some subset of PARI User's Manual (Chapter 3, reference card). This should be the only arguments on the command line.

ENVIRONMENT

COLUMNS
    number of columns available on screen (for detex mode)

DISPLAY
    where to launch the dvi previewer. If unset, detex mode is assumed automatically.

GPDOCDIR
    directory where PARI help files are located. Default value set at Configure time.

GPTEX
    TeX typesetting program to use

GPTMPDIR
    directory where temporary files are written

GPXDVI
    dvi previewer to use

FILES

gp  the gp calculator

gphelp
    the gphelp script

users.dvi
    PARI/GP User's Manual

tutorial.dvi
    PARI/GP tutorial

refcard.dvi
    GP reference card

refcard.ps
    GP reference card, printer ready

BUGS
The search algorithm is rather crude and the data searched rather unstructured. Hence, searching outside of Chapter 3 may not yield useful results, except in apropos mode (sections may be truncated too soon for instance). Multiword search patterns have a tendency to fail due to various TeX constructs in the source.

AUTHORS
Originally written by Ilya Zakharevitch for the Math::Pari perl package. Rewritten and expanded by Karim Belabas for the main PARI distribution.

SEE ALSO
gp(1), gzip(1), readline(1), tex(1), xdvi(1).

COPYING
This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.